EFCMN(3)

SYNOPSIS
SUBROUTINE EFCMN (NDATA, XDATA, YDATA, SDDATA, NORD, NBKPT, + BKPTIN, MDEIN, MDEOUT, COEFF, BF, XTEMP, PTEMP, BKPT, G, MDG, + W, MDW, LW)

NAME
efcmn - Subsidiary to EFC

LIBRARY
SLATEC

TYPE
SINGLE PRECISION (EFCMN-S, DEFCMN-D)

AUTHOR
Hanson, R. J., (SNLA)

DESCRIPTION
This is a companion subprogram to EFC( ). This subprogram does weighted least squares fitting of data by B-spline curves. The documentation for EFC( ) has complete usage instructions.

SEE ALSO
EFC

ROUTINES CALLED
BNDACC, BNDSOL, BSPLVN, SCOPY, SSCAL, SSORT, XERMSG

REVISION HISTORY (YYMMDD)
800801 DATE WRITTEN
890531 Changed all specific intrinsics to generic. (WRB)
890618 Completely restructured and extensively revised (WRB & RWC)
890831 Modified array declarations. (WRB)
891214 Prologue converted to Version 4.0 format. (BAB)
900315 CALLs to XERROR changed to CALLs to XERMSG. (THJ)
900328 Added TYPE section. (WRB)
900510 Convert XERRWV calls to XERMSG calls. (RWC)